Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network136.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
136.0.0.0
Broadcast address
139.255.255.255
First usable
136.0.0.1
Last usable
139.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
B (default /16)
As numbers
Hex 88000000 · Integer 2281701376 to 2348810239
Reverse DNS zones
136.in-addr.arpa
137.in-addr.arpa
138.in-addr.arpa
139.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001000.00000000.00000000.00000000136.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network10001000.00000000.00000000.00000000136.0.0.0
Broadcast10001011.11111111.11111111.11111111139.255.255.255
Split into smaller subnets/13

136.0.0.0/6 makes 128 subnets of /13.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1136.0.0.0/13136.0.0.1 to 136.7.255.254136.7.255.255524,286
2136.8.0.0/13136.8.0.1 to 136.15.255.254136.15.255.255524,286
3136.16.0.0/13136.16.0.1 to 136.23.255.254136.23.255.255524,286
4136.24.0.0/13136.24.0.1 to 136.31.255.254136.31.255.255524,286
5136.32.0.0/13136.32.0.1 to 136.39.255.254136.39.255.255524,286
6136.40.0.0/13136.40.0.1 to 136.47.255.254136.47.255.255524,286
7136.48.0.0/13136.48.0.1 to 136.55.255.254136.55.255.255524,286
8136.56.0.0/13136.56.0.1 to 136.63.255.254136.63.255.255524,286
9136.64.0.0/13136.64.0.1 to 136.71.255.254136.71.255.255524,286
10136.72.0.0/13136.72.0.1 to 136.79.255.254136.79.255.255524,286
11136.80.0.0/13136.80.0.1 to 136.87.255.254136.87.255.255524,286
12136.88.0.0/13136.88.0.1 to 136.95.255.254136.95.255.255524,286
13136.96.0.0/13136.96.0.1 to 136.103.255.254136.103.255.255524,286
14136.104.0.0/13136.104.0.1 to 136.111.255.254136.111.255.255524,286
15136.112.0.0/13136.112.0.1 to 136.119.255.254136.119.255.255524,286
16136.120.0.0/13136.120.0.1 to 136.127.255.254136.127.255.255524,286
17136.128.0.0/13136.128.0.1 to 136.135.255.254136.135.255.255524,286
18136.136.0.0/13136.136.0.1 to 136.143.255.254136.143.255.255524,286
19136.144.0.0/13136.144.0.1 to 136.151.255.254136.151.255.255524,286
20136.152.0.0/13136.152.0.1 to 136.159.255.254136.159.255.255524,286
21136.160.0.0/13136.160.0.1 to 136.167.255.254136.167.255.255524,286
22136.168.0.0/13136.168.0.1 to 136.175.255.254136.175.255.255524,286
23136.176.0.0/13136.176.0.1 to 136.183.255.254136.183.255.255524,286
24136.184.0.0/13136.184.0.1 to 136.191.255.254136.191.255.255524,286
25136.192.0.0/13136.192.0.1 to 136.199.255.254136.199.255.255524,286
26136.200.0.0/13136.200.0.1 to 136.207.255.254136.207.255.255524,286
27136.208.0.0/13136.208.0.1 to 136.215.255.254136.215.255.255524,286
28136.216.0.0/13136.216.0.1 to 136.223.255.254136.223.255.255524,286
29136.224.0.0/13136.224.0.1 to 136.231.255.254136.231.255.255524,286
30136.232.0.0/13136.232.0.1 to 136.239.255.254136.239.255.255524,286
31136.240.0.0/13136.240.0.1 to 136.247.255.254136.247.255.255524,286
32136.248.0.0/13136.248.0.1 to 136.255.255.254136.255.255.255524,286
33137.0.0.0/13137.0.0.1 to 137.7.255.254137.7.255.255524,286
34137.8.0.0/13137.8.0.1 to 137.15.255.254137.15.255.255524,286
35137.16.0.0/13137.16.0.1 to 137.23.255.254137.23.255.255524,286
36137.24.0.0/13137.24.0.1 to 137.31.255.254137.31.255.255524,286
37137.32.0.0/13137.32.0.1 to 137.39.255.254137.39.255.255524,286
38137.40.0.0/13137.40.0.1 to 137.47.255.254137.47.255.255524,286
39137.48.0.0/13137.48.0.1 to 137.55.255.254137.55.255.255524,286
40137.56.0.0/13137.56.0.1 to 137.63.255.254137.63.255.255524,286
41137.64.0.0/13137.64.0.1 to 137.71.255.254137.71.255.255524,286
42137.72.0.0/13137.72.0.1 to 137.79.255.254137.79.255.255524,286
43137.80.0.0/13137.80.0.1 to 137.87.255.254137.87.255.255524,286
44137.88.0.0/13137.88.0.1 to 137.95.255.254137.95.255.255524,286
45137.96.0.0/13137.96.0.1 to 137.103.255.254137.103.255.255524,286
46137.104.0.0/13137.104.0.1 to 137.111.255.254137.111.255.255524,286
47137.112.0.0/13137.112.0.1 to 137.119.255.254137.119.255.255524,286
48137.120.0.0/13137.120.0.1 to 137.127.255.254137.127.255.255524,286
49137.128.0.0/13137.128.0.1 to 137.135.255.254137.135.255.255524,286
50137.136.0.0/13137.136.0.1 to 137.143.255.254137.143.255.255524,286
51137.144.0.0/13137.144.0.1 to 137.151.255.254137.151.255.255524,286
52137.152.0.0/13137.152.0.1 to 137.159.255.254137.159.255.255524,286
53137.160.0.0/13137.160.0.1 to 137.167.255.254137.167.255.255524,286
54137.168.0.0/13137.168.0.1 to 137.175.255.254137.175.255.255524,286
55137.176.0.0/13137.176.0.1 to 137.183.255.254137.183.255.255524,286
56137.184.0.0/13137.184.0.1 to 137.191.255.254137.191.255.255524,286
57137.192.0.0/13137.192.0.1 to 137.199.255.254137.199.255.255524,286
58137.200.0.0/13137.200.0.1 to 137.207.255.254137.207.255.255524,286
59137.208.0.0/13137.208.0.1 to 137.215.255.254137.215.255.255524,286
60137.216.0.0/13137.216.0.1 to 137.223.255.254137.223.255.255524,286
61137.224.0.0/13137.224.0.1 to 137.231.255.254137.231.255.255524,286
62137.232.0.0/13137.232.0.1 to 137.239.255.254137.239.255.255524,286
63137.240.0.0/13137.240.0.1 to 137.247.255.254137.247.255.255524,286
64137.248.0.0/13137.248.0.1 to 137.255.255.254137.255.255.255524,286
65138.0.0.0/13138.0.0.1 to 138.7.255.254138.7.255.255524,286
66138.8.0.0/13138.8.0.1 to 138.15.255.254138.15.255.255524,286
67138.16.0.0/13138.16.0.1 to 138.23.255.254138.23.255.255524,286
68138.24.0.0/13138.24.0.1 to 138.31.255.254138.31.255.255524,286
69138.32.0.0/13138.32.0.1 to 138.39.255.254138.39.255.255524,286
70138.40.0.0/13138.40.0.1 to 138.47.255.254138.47.255.255524,286
71138.48.0.0/13138.48.0.1 to 138.55.255.254138.55.255.255524,286
72138.56.0.0/13138.56.0.1 to 138.63.255.254138.63.255.255524,286
73138.64.0.0/13138.64.0.1 to 138.71.255.254138.71.255.255524,286
74138.72.0.0/13138.72.0.1 to 138.79.255.254138.79.255.255524,286
75138.80.0.0/13138.80.0.1 to 138.87.255.254138.87.255.255524,286
76138.88.0.0/13138.88.0.1 to 138.95.255.254138.95.255.255524,286
77138.96.0.0/13138.96.0.1 to 138.103.255.254138.103.255.255524,286
78138.104.0.0/13138.104.0.1 to 138.111.255.254138.111.255.255524,286
79138.112.0.0/13138.112.0.1 to 138.119.255.254138.119.255.255524,286
80138.120.0.0/13138.120.0.1 to 138.127.255.254138.127.255.255524,286
81138.128.0.0/13138.128.0.1 to 138.135.255.254138.135.255.255524,286
82138.136.0.0/13138.136.0.1 to 138.143.255.254138.143.255.255524,286
83138.144.0.0/13138.144.0.1 to 138.151.255.254138.151.255.255524,286
84138.152.0.0/13138.152.0.1 to 138.159.255.254138.159.255.255524,286
85138.160.0.0/13138.160.0.1 to 138.167.255.254138.167.255.255524,286
86138.168.0.0/13138.168.0.1 to 138.175.255.254138.175.255.255524,286
87138.176.0.0/13138.176.0.1 to 138.183.255.254138.183.255.255524,286
88138.184.0.0/13138.184.0.1 to 138.191.255.254138.191.255.255524,286
89138.192.0.0/13138.192.0.1 to 138.199.255.254138.199.255.255524,286
90138.200.0.0/13138.200.0.1 to 138.207.255.254138.207.255.255524,286
91138.208.0.0/13138.208.0.1 to 138.215.255.254138.215.255.255524,286
92138.216.0.0/13138.216.0.1 to 138.223.255.254138.223.255.255524,286
93138.224.0.0/13138.224.0.1 to 138.231.255.254138.231.255.255524,286
94138.232.0.0/13138.232.0.1 to 138.239.255.254138.239.255.255524,286
95138.240.0.0/13138.240.0.1 to 138.247.255.254138.247.255.255524,286
96138.248.0.0/13138.248.0.1 to 138.255.255.254138.255.255.255524,286
97139.0.0.0/13139.0.0.1 to 139.7.255.254139.7.255.255524,286
98139.8.0.0/13139.8.0.1 to 139.15.255.254139.15.255.255524,286
99139.16.0.0/13139.16.0.1 to 139.23.255.254139.23.255.255524,286
100139.24.0.0/13139.24.0.1 to 139.31.255.254139.31.255.255524,286
101139.32.0.0/13139.32.0.1 to 139.39.255.254139.39.255.255524,286
102139.40.0.0/13139.40.0.1 to 139.47.255.254139.47.255.255524,286
103139.48.0.0/13139.48.0.1 to 139.55.255.254139.55.255.255524,286
104139.56.0.0/13139.56.0.1 to 139.63.255.254139.63.255.255524,286
105139.64.0.0/13139.64.0.1 to 139.71.255.254139.71.255.255524,286
106139.72.0.0/13139.72.0.1 to 139.79.255.254139.79.255.255524,286
107139.80.0.0/13139.80.0.1 to 139.87.255.254139.87.255.255524,286
108139.88.0.0/13139.88.0.1 to 139.95.255.254139.95.255.255524,286
109139.96.0.0/13139.96.0.1 to 139.103.255.254139.103.255.255524,286
110139.104.0.0/13139.104.0.1 to 139.111.255.254139.111.255.255524,286
111139.112.0.0/13139.112.0.1 to 139.119.255.254139.119.255.255524,286
112139.120.0.0/13139.120.0.1 to 139.127.255.254139.127.255.255524,286
113139.128.0.0/13139.128.0.1 to 139.135.255.254139.135.255.255524,286
114139.136.0.0/13139.136.0.1 to 139.143.255.254139.143.255.255524,286
115139.144.0.0/13139.144.0.1 to 139.151.255.254139.151.255.255524,286
116139.152.0.0/13139.152.0.1 to 139.159.255.254139.159.255.255524,286
117139.160.0.0/13139.160.0.1 to 139.167.255.254139.167.255.255524,286
118139.168.0.0/13139.168.0.1 to 139.175.255.254139.175.255.255524,286
119139.176.0.0/13139.176.0.1 to 139.183.255.254139.183.255.255524,286
120139.184.0.0/13139.184.0.1 to 139.191.255.254139.191.255.255524,286
121139.192.0.0/13139.192.0.1 to 139.199.255.254139.199.255.255524,286
122139.200.0.0/13139.200.0.1 to 139.207.255.254139.207.255.255524,286
123139.208.0.0/13139.208.0.1 to 139.215.255.254139.215.255.255524,286
124139.216.0.0/13139.216.0.1 to 139.223.255.254139.223.255.255524,286
125139.224.0.0/13139.224.0.1 to 139.231.255.254139.231.255.255524,286
126139.232.0.0/13139.232.0.1 to 139.239.255.254139.239.255.255524,286
127139.240.0.0/13139.240.0.1 to 139.247.255.254139.247.255.255524,286
128139.248.0.0/13139.248.0.1 to 139.255.255.254139.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses